SDL_GetCameraPosition(3)

NAME
SDL_GetCameraPosition - Get the position of the camera in relation to the system.

SYNOPSIS
#include <SDL3/SDL_camera.h>

SDL_CameraPosition SDL_GetCameraPosition(SDL_CameraID instance_id);

DESCRIPTION
Most platforms will report UNKNOWN, but mobile devices, like phones, can often make a distinction between cameras on the front of the device (that points towards the user, for taking "selfies") and cameras on the back (for filming in the direction the user is facing).

FUNCTION PARAMETERS

instance_id
    the camera device instance ID.

RETURN VALUE
Returns the position of the camera on the system hardware.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetCameras(3)